summaryrefslogtreecommitdiff
path: root/bg1/install-1cd-totsc-uk.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-05-17 15:06:22 +0100
committerNick White <git@njw.me.uk>2009-05-17 15:06:22 +0100
commitb9ce5ef93fc814900f7adb6263a263e966d0499d (patch)
treee2da0d98959bf96382fe07a146dfd515be0f801e /bg1/install-1cd-totsc-uk.sh
parent32a0107f411a09c132090623b66e1af7b01b4bc1 (diff)
downloadgemrb-gameinstallers-b9ce5ef93fc814900f7adb6263a263e966d0499d.tar.bz2
gemrb-gameinstallers-b9ce5ef93fc814900f7adb6263a263e966d0499d.zip
Rearrange to remove arbitrary bg1/totsc division
Diffstat (limited to 'bg1/install-1cd-totsc-uk.sh')
-rwxr-xr-xbg1/install-1cd-totsc-uk.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/bg1/install-1cd-totsc-uk.sh b/bg1/install-1cd-totsc-uk.sh
new file mode 100755
index 0000000..9f2f582
--- /dev/null
+++ b/bg1/install-1cd-totsc-uk.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Tales of the Sword Coast (1CD UK version)
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG1_TOTSC_1CD_UK_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
+
+mkdir -p "$TARGETDIR"/save || die
+
+cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimumdata
+
+cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/english
+
+cp -R "$CDMOUNT"/override/* "$TARGETDIR"/override/ || die
+
+mkdir -p "$TARGETDIR"/movies
+copylower "$CDMOUNT/cd6/" "$TARGETDIR"
+
+mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
+
+setperms "$TARGETDIR"